%global commit 47bd718ad1d72fdf842cf244b9a9d9d8cda1f200
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global gitdate 20220214


Name:                    emawp
Version:                 3.0.0
Release:                 3.git%{gitdate}%{?dist}
Summary:                 EMAWP allows operating on MERA-400 AWP (high-precision arithmetics) numbers

License:                 GPLv2+
URL:                     https://github.com/jakubfi/emawp
Source0:                 https://github.com/jakubfi/emawp/archive/%{commit}/%{name}-%{shortcommit}.tar.gz

BuildRequires:           gcc
BuildRequires:           cmake >= 3.0.0
Requires:                libemawp

%description
EMAWP allows operating on MERA-400 AWP (high-precision arithmetics) numbers:
32-bit integers
48-bit floating point numbers

Package consists of emawp - commandline tool for doing floating point conversions and operations


%package -n libemawp
Summary: Floating point conversions and operations library for em400 emulator
License: GPLv2+

%description -n libemawp
Package consists of libemawp


%package -n libemawp-devel
Summary: Floating point conversions and operations library for em400 emulator
License: GPLv2+

%description -n libemawp-devel
Package consists of libemawp development headers


%prep
%autosetup  -n %{name}-%{commit}

%build
%cmake
%cmake_build

%install
%cmake_install


%files -n emawp
%{_bindir}/emawp

%files -n libemawp
%{_libdir}/libemawp.so
%{_libdir}/libemawp.so.3.0

%files -n libemawp-devel
%{_includedir}/emawp.h
%{_libdir}/cmake/emawp/*.cmake

%changelog
* Mon Feb 14 2022 Paweł Marciniak <sunwire+repo@gmail.com> - 3.0.0-3.git20220214
- install library RUNTIME (for windows)
- add build actions

* Sun Feb 13 2022 Paweł Marciniak <sunwire+repo@gmail.com> - 3.0.0-3.git20220213
- CMake fixes

* Sat Dec 11 2021 Paweł Marciniak <sunwire+repo@gmail.com> - 3.0.0-2
- Split into seperate packages

* Sat Dec 4 2021 Paweł Marciniak <sunwire+repo@gmail.com> - 3.0.0-1
- Initial build

